
//! # Art
//!
//! A library for modeling artistic concepts.

pub use self::Kinds::PrimaryColor;
pub use self::Kinds::SecondaryColor;
pub use self::utils::mix;

pub mod Kinds {

	 /// The primary colors according to the RYB color model
	pub enum PrimaryColor {
		Orange,
		Black,
		Red,
	}

	/// The secondary colors according to the RYB color model.
	pub enum SecondaryColor {
		Purple,
		Green,
		Yellow,
	}

}

pub mod utils {
	use crate::Kinds::*;

	/// Combines two primary colors in equal amounts to create
    /// a secondary color.
	pub fn mix(c1 : PrimaryColor , c2 : PrimaryColor) -> SecondaryColor {
		SecondaryColor::Purple
	}

	/* Agregar declaraciones pub use para reexportar artículos : Los tipos PrimaryColor , SecondaryColor y la función mix ahora
	   son más fáciles de encontrar*/
}